Cyclo DS and Ez-Flash 3 in 1

Discussion in 'CycloDS' started by Le Reveur, Jan 5, 2009.

Jan 5, 2009
  1. Le Reveur
    OP

    Newcomer Le Reveur Member

    Joined:
    Jan 2, 2009
    Messages:
    25
    Country:
    United States
    Look at davrizio's topic, which refers to the Ez-flash not working properly at all with Cyclo DS.
    I'm restating his topic because I too am having the problem, and feels it needs to be addressed in others are having this problem [​IMG]

    We have similar cases. We both ordered from DealWoot and got an EZ flash 3 in 1 along with our Cyclo DS product.

    The cyclo ds does not recognize the ez flash.

    I suppose TC does need to add support, but I've been looking everywhere on the net.

    It's weird though because dosen't the Cyclo Ds and ez flash go hand in hand, meaning that compatability is immediate.

    Oh well not meaning to whine, but if anybody has information on this, I would greatly appreciate it!! Tnx in advance!!
    (I really hope I didn't wast 22 dollars on a wasted gba expansion pack!! [​IMG] )
     
  2. DeMoN

    Member DeMoN GBAtemp Guru

    Joined:
    May 12, 2004
    Messages:
    7,647
    Country:
    United States
    It's because the EZ Flash you received is a new revision that came out after the latest Cyclo firmware, therefore the Cyclo does not natively support it at the moment.
    You have 2 options:
    1. Wait for Team Cyclops to update their firmware to natively support the new EZ Flash.
    2. Download GBA Exploader (a homebrew that can load GBA games and supports the new EZ Flash)
     
  3. Le Reveur
    OP

    Newcomer Le Reveur Member

    Joined:
    Jan 2, 2009
    Messages:
    25
    Country:
    United States
    Tnx
    I hope this issue is resolved soon!
     
  4. derfolo

    Newcomer derfolo Member

    Joined:
    Oct 12, 2008
    Messages:
    10
    Country:
    United States
    Just to let you all know that TC is now looking into this:

    "Hello,

    We will investigate it!

    Thank you for your support.

    Best Regards,
    Team Cyclops - Tech Support

    > Dear Team Cyclops,
    >
    > Do you have any responses to the people who can't use the new EZFlash 3 in
    > 1 Plus with Cyclo DS Evo FW 1.51?
    >
    > http://gbatemp.net/index.php?showtopic=126850
    >
    > (Note that no one can post these messages to the CycloDS forums because
    > registration is now disabled.)
    >
    > Thanks"
     
  5. Translucentbill

    Member Translucentbill GBAtemp Fan

    Joined:
    Aug 4, 2008
    Messages:
    401
    Location:
    New York
    Country:
    United States
    Well, if you anyone needs someone to post in the TC Forums i still have an account on their website due to me owning a cyclo [​IMG]
     
  6. DeMoN

    Member DeMoN GBAtemp Guru

    Joined:
    May 12, 2004
    Messages:
    7,647
    Country:
    United States
    If no one else has already, then please do so. They won't fix the problem unless they know about it.
     
  7. m.o.r.

    Newcomer m.o.r. Newbie

    Joined:
    Jan 9, 2009
    Messages:
    5
    Country:
    United States
    i have the exact same problem, exactly the same batch you guys have. i got mine from Dealextreme.

    i already posted it on the TC threads and TC is already aware and posted on this gbatemp thread that they're looking into it. all hope is now back. we just have to wait it out. [​IMG]
     
  8. suckerface

    Newcomer suckerface Member

    Joined:
    Jan 16, 2009
    Messages:
    19
    Country:
    United States
    Don't know if this could help or not, but I've noticed that on Firmware v1.53 SNEmulDS 0.6 recognizes an external RAM without a problem....noticeable difference too!

    Any way that the code for it is open and could be used in the Cyclo's firmware?
     
  9. laci.laplante

    Newcomer laci.laplante Newbie

    Joined:
    Feb 18, 2009
    Messages:
    8
    Country:
    United States
    I was able to get my CycloDS Evolution (firmware v1.53)and EZFLASH 3 in 1+ working together, but only after a whole day of fail and frustration. I followed all of the instructions on the Team Cyclops forum, but to no avail. Eventually I figured it out though, and it works. The gbxploder 0.58 application says that the EZFLASH is a 3n1pls in my case. The original problem was that Opera said it needed a memory expansion, but now I have both the cartridges working. Unfortunately, Opera isn't the greatest, but hey, it works.
    Laci
     
  10. hdofu

    Member hdofu GBAtemp Regular

    Joined:
    Oct 4, 2007
    Messages:
    254
    Location:
    USA
    Country:
    United States
    umm I'm fairly certain 1 its closed source, 2 this is a different operation

    also it has partial external ram support.
     
  11. Minnesinger

    Newcomer Minnesinger Newbie

    Joined:
    Nov 17, 2008
    Messages:
    6
    Country:
    Germany
    From Team Cyclops:

    Regarding EZ3in1+ support:

    We have now improved support for EZ3in1+ as much as is possible, however it seems that this revised unit suffers from actual hardware problems which unfortunately may not be fixable in software. Rumble does not seem to work at all, and there appear to be timing problems with the NOR flash which affect GBA gameplay. We have tested against the official EZ5 kernel from the EZFlash team which produces the same results we are seeing - this only further supports the theory that these problems are caused by the hardware itself. Until the EZFLash team fixes these problems in their own kernel and release working source code for us to use then we are going to hold this assumption and will not be investing any more time in EZ3in1+ compatibility when it may very well be a futile cause. We really do wonder if this new hardware was tested properly before release or if it was simply rushed out the door due to problems sourcing stock of the old components.

    Details of the problems are as follows:

    * Rumble does not seem to work at all, at least not with the source code provided (and does not work with the official EZ5 kernel either)
    * Writing GBA games to NOR flash is supported, however some combinations of GBA card bus wait states seem to run unstable which can cause various problems with some games from sound glitches to preventing the game from even booting. Running GBA games from NOR with EZ3in1+ really is hit and miss and we recommend using PSRAM instead whenever possible. Once again, the problems running GBA games from NOR flash are also found when using the official EZ5 kernel.
     
  12. SoLuckys

    Member SoLuckys GBAtemp Regular

    Joined:
    Nov 12, 2008
    Messages:
    246
    Location:
    Paralimni
    Country:
    Cyprus
    You mean that you cant play GBA games directly from Cyclods Evo menu?[​IMG] cos i am confused
     
  13. Minnesinger

    Newcomer Minnesinger Newbie

    Joined:
    Nov 17, 2008
    Messages:
    6
    Country:
    Germany
    Yeah, more or less. PSRAM seems to work ok from the cyclo but using the NOR is really a cointoss if it will work or not. EZ scr*wed up bigtime when releasing that cr*ppy +version. [​IMG] I suggest using the GBA Exploader for games requiring NOR. Better than nothing.
     

Share This Page